<!--#Include File="../Include/Class_Main.asp"-->
<!--#Include File="../Include/Class_ShowPage.asp"-->
<!--#include file="Cookies.asp" -->
<%
Call Check_url()




Set Rs=Server.CreateObject("ADODB.Recordset")
Set RsHD=Server.CreateObject("ADODB.Recordset")
Set RsME=Server.CreateObject("ADODB.Recordset")

TT     = trim(Request.QueryString("TT"))
TTID    = trim(Request.QueryString("TTID"))
TTTID   = trim(Request.QueryString("TTTID"))
A       = trim(Request.QueryString("A"))
S       = trim(Request.QueryString("S"))

SelfHtml = "News.List.asp?TT="&TT

IF TT="Attention" THEN
menuTT1 = "UserTopMenuC"
menuTT2 = "UserTopMenuD"
menuTT3 = "UserTopMenuD"
ELSEIF TT="Interest" THEN
menuTT1 = "UserTopMenuD"
menuTT2 = "UserTopMenuC"
menuTT3 = "UserTopMenuD"
ELSEIF TT="Myself" THEN
menuTT1 = "UserTopMenuD"
menuTT2 = "UserTopMenuD"
menuTT3 = "UserTopMenuC"
ELSE
menuTT1 = "UserTopMenuD"
menuTT2 = "UserTopMenuD"
menuTT3 = "UserTopMenuD"
END IF
%>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=GBK" />
<meta http-equiv="X-UA-Compatible" content="IE=EmulateIE7" />
<link href="/Css/All<%=Cls_webmoban%>.css" rel="stylesheet" type="text/css" />
<script type="text/JavaScript">
<!--
function MM_findObj(n, d) { //v4.01
  var p,i,x;  if(!d) d=document; if((p=n.indexOf("?"))>0&&parent.frames.length) {
    d=parent.frames[n.substring(p+1)].document; n=n.substring(0,p);}
  if(!(x=d[n])&&d.all) x=d.all[n]; for (i=0;!x&&i<d.forms.length;i++) x=d.forms[i][n];
  for(i=0;!x&&d.layers&&i<d.layers.length;i++) x=MM_findObj(n,d.layers[i].document);
  if(!x && d.getElementById) x=d.getElementById(n); return x;
}

function MM_showHideLayers() { //v6.0
  var i,p,v,obj,args=MM_showHideLayers.arguments;
  for (i=0; i<(args.length-2); i+=3) if ((obj=MM_findObj(args[i]))!=null) { v=args[i+2];
    if (obj.style) { obj=obj.style; v=(v=='show')?'visible':(v=='hide')?'hidden':v; }
    obj.visibility=v; }
}
//-->
</script>
<script type="text/javascript">
function openEg(url,width,height,left,top){
 var temp = "channelmode=no,location=no,menubar=no,toolbar=no,directories=no,scrollbars=no,resizable=no";
 if (width) {
  temp += ',width=' + width;
 } else {
  width = 0;
 }
 if (height) {
  temp += ',height=' + height;
 } else {
  height = 0;
 }
 if (left) {
  temp += ',left=' + left;
 } else {
  temp += ',left='
    + Math.round((window.screen.width - parseInt(width)) / 2);
 }
 if (top) {
  temp += ',top=' + top;
 } else {
  temp += ',top='
    + Math.round((window.screen.height - parseInt(height)) / 2);
 }
   window.open(url, '_blank', temp);
}
</script>
<script language="JavaScript">
function CheckBotton(t,id,uid)
{ 
   document.scripts[0].src = "Check.asp?T="+ t +"&ID=" + id +"&UID="+ uid;
}
</script>
</head>

<body>
<div style="background-color:#FFFFFF;width:100%;height:100%;">

<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td>

		<DIV style="width:100%; height:27px; background:url('/Images/i_line_bg.gif') 0px 0px repeat-x;margin-top:10px;">
		<div id="ic0" class="<%=menuTT1%>"><ul><a href="News.List.asp?TT=Attention"><li class="aav"></li><li class="bbv" style="cursor:hand;">我关注的</li><li class="ccv"></li></a></ul></div>
		<div id="ic1" class="<%=menuTT2%>"><ul><a href="News.List.asp?TT=Interest"><li class="aav"></li><li class="bbv" style="cursor:hand;">我感兴趣的</li><li class="ccv"></li></a></ul></div>
		<div id="ic2" class="<%=menuTT3%>"><ul><a href="News.List.asp?TT=Myself"><li class="aav"></li><li class="bbv" style="cursor:hand;">我自己的</li><li class="ccv"></li></a></ul></div>
		</DIV>
	
	</td>
  </tr>
</table>
	
<!--帖子-->
<table width="100%" border="0" bordercolor="#9FAEC3" cellspacing="0" cellpadding="0" style="border-collapse:collapse;">
<%
m_Parameter = "TT="&TT&"&A="&A&"&S="&S

strSql ="Select * From [OUCCS_NewsList] where n_distinction=1 and n_pid=19 and n_ppid=0 "

IF TT="Attention" THEN
strSql = strSql&" and n_uid in (Select Juid From [OUCCS_Moneylog] where tt=1 and uid="&Cookies0&" and fflag=1)"
ELSEIF TT="Interest" THEN
strSql = strSql&" and n2 in ("&GetTabsID(Cookies36)&")"
ELSEIF TT="Myself" THEN
strSql = strSql&" and n_uid="&Cookies0&""
ELSE
strSql = strSql&" or n_tjallflag=1"
END IF


IF A="TJ" THEN
strSql = strSql&" and n_tjflag=1"
END IF

IF A="JING" THEN
strSql = strSql&" and n_jbt>0"
END IF



IF S="TIME" THEN
strSql = strSql&" Order By n_time DESC"
ELSEIF S="UPTIME" THEN
strSql = strSql&" Order By update_time DESC"
ELSEIF S="HIT" THEN
strSql = strSql&" Order By n_hit DESC"
ELSEIF S="MESS" THEN
strSql = strSql&" Order By n_mess DESC"
ELSE
strSql = strSql&" Order By update_time DESC"
END IF

Rs.open strSql,Conn,1,1
if not(rs.bof and rs.eof) then

    
    m_RecordCount=0 : m_PageNo=0 : m_Page=0
	m_PageSize = 10
    m_PageNo = Trim(Request.querystring("PageNo"))
	m_RecordCount = rs.RecordCount
    rs.PageSize = m_PageSize
    m_Page = rs.PageCount
	if m_PageNo = ""  then m_PageNo =1
    if cint(m_PageNo) < 1 or cint(m_PageNo) > m_Page then m_PageNo = 1
    rs.AbsolutePage = m_PageNo
    rc = m_PageSize
    re = 1
	m_Count = 1
	thePage = (m_PageNo-1)*m_PageSize+1
	N=0
	
%>
  <tr>
    <td style="border-bottom:1px dotted #9FAEC3; font-size:12px; line-height:40px; color:#8297A7;" height="40" background="/Images/title_bg.gif"><table width="100%" border="0" cellspacing="0" cellpadding="0" id="UserDHLinkC">
  <tr>
    <td height="40" width="100" align="left" valign="middle"><div style="width:75px;height:20px;background:url(/Images/zt_1.gif) 0px 0px no-repeat; line-height:22px; padding-left:5px; margin-left:10px;" onMouseOver="MM_showHideLayers('paixu','','show')" onMouseOut="MM_showHideLayers('paixu','','hide')">默认排序</div><DIV id="paixuall" style="POSITION: relative; Z-INDEX: 99999;"><DIV id="paixu" onMouseOut="MM_showHideLayers('paixu','','hide')" onMouseOver="MM_showHideLayers('paixu','','show')" style="left: -80px; POSITION: absolute; TOP: 20px; VISIBILITY: hidden; WIDTH: 78px;border-left:1px solid #8297A7;border-right:1px solid #8297A7;border-bottom:1px solid #8297A7;background-color:#FFFFFF;line-height:20px;text-align:center;padding-top:5px;padding-bottom:5px;"><a href="<%=SelfHtml%>&A=<%=A%>">默认排序</a><br><a href="<%=SelfHtml%>&A=<%=A%>&S=TIME">发贴时间</a><br><a href="<%=SelfHtml%>&A=<%=A%>&S=UPTIME">最后回复</a><br><a href="<%=SelfHtml%>&A=<%=A%>&S=HIT">最多浏览</a><br><a href="<%=SelfHtml%>&A=<%=A%>&S=MESS">最多回复</a></DIV></DIV></td>
    <td align="left" valign="middle">┆&nbsp;<a href="<%=SelfHtml%>">所有</a>&nbsp;┆&nbsp;<a href="<%=SelfHtml%>&A=TJ">火爆</a>&nbsp;┆&nbsp;<a href="<%=SelfHtml%>&A=JING">精华</a></td>
	</tr>
</table>
</td>
  </tr>


<%
For i=1 to m_PageSize
If Rs.Eof Then Exit For
title        = rs("n_title")
xing         = rs("hd_xing")
team         = rs("hd_team")
nid          = rs("n_nid")
uid          = rs("n_uid")
url          = rs("n_url") 
tjflag       = rs("n_tjflag")
tjallflag    = rs("n_tjallflag")
color        = rs("n_color")
n_id         = rs("n_id")  
Upic         = WebUserPicID(uid)  
Usex         = WebUserSexID(uid) 
Utitle       = WebUserNameID(uid)
pnid         = WebUpfileUrlName(nid) 
mess         = rs("n_mess") 
hit          = rs("n_hit")
jbt          = rs("n_jbt")
q            = rs("n2") 
Qu           = WebNewsMenuID3(q)
tim          = rs("n_time")
if year(tim)=year(now) then
tims         = Month(tim)&"-"&day(tim)&" "&hour(tim)&":"&Minute(tim)
else
tims         = Year(tim)&"-"&Month(tim)&"-"&day(tim)&" "&hour(tim)&":"&Minute(tim)
end if           
%>


<tr>
  <td style="border-bottom:1px dotted #9FAEC3;" background="/Images/title_bg_1.gif">
  <table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr onMouseOut="this.style.backgroundColor=''" onMouseOver="this.style.backgroundColor='#FFFFFF'">
    <td width="40" height="40" align="center" valign="middle"><div style="z-index:10;position:absolute;display:block;"><a href="/Home/?ID=<%=Uid%>" target="_blank" title="<%=Utitle%>" onMouseOver="MM_showHideLayers('Usub<%=i%>','','show')" onMouseOut="MM_showHideLayers('Usub<%=i%>','','hide')"><%=GetUserSexUserPic30(Usex)%></a></div><img src="<%=Upic%>" width="30" height="30" /><DIV id="UM<%=i%>" style="POSITION: absolute; z-index:9999999;"><div class="Jingshi" id="Usub<%=i%>" onMouseOut="MM_showHideLayers('Usub<%=i%>','','hide')" onMouseOver="MM_showHideLayers('Usub<%=i%>','','show')"><div class="top"><img src="/images/icon/j.png" /></div><div class="box"><%if GetAllMoneyMessflag(Request.Cookies("MemberID"),Uid,0)=9999 then%><%if GetAllMoneyMessflag(Request.Cookies("MemberID"),Uid,1)=9999 then%><a href="/Home/F.add.asp?ID=<%=Uid%>" class="yellor">关注</a><%else%><a href="/Home/F.off.asp?ID=<%=Uid%>" class="yellor">取消关注</a><%end if%><%end if%>&nbsp;&nbsp;<a href="javascript:;" onClick="openEg('Mess.small.asp?ID=<%=Uid%>',500,500)" class="yellor">聊天</a></div></div></DIV></td>
	<td width="70" align="left" valign="middle" style="font-size:12px;line-height:15px;" id="UserDHLinkD"><a href="/Home/?ID=<%=Uid%>" target="_blank" title="<%=Utitle%>"><%=Utitle%></a><br><label style="font-size:9px;color:#9FB5C5;"><%=tims%></label></td>
    <td align="left" valign="middle" style="font-size:12px;line-height:20px;" id="UserDHLinkF"><a href="<%=url%>" target="_blank" title="<%=title%>"><%if tjallflag=1 then%><font color="<%=color%>">【<b><%=Qu%></b>】<b>&nbsp;<%=title%></b></font><%else%>【<%=Qu%>】<%=title%><%end if%></a> <%if WebUpfileUrlNameFlag(nid,"jpg,jpeg,gif,png")=1 then%><img src="/Images/icon/photo.png" style="top:3px;margin-left:5px;position: relative;" title="附图片" /><%end if%>  <%if WebUpfileUrlNameFlag(nid,"wma,mp3")=1 then%><img src="/Images/icon/music.png" style="top:3px;margin-left:5px;position: relative;" title="附音频" /><%end if%> <%if WebUpfileUrlNameFlag(nid,"swf")=1 then%><img src="/Images/icon/image_v.gif" style="top:2px;margin-left:5px;position: relative;" title="附动画" /><%end if%> <%if WebUpfileUrlNameFlag(nid,"zip,rar,txt")=1 then%><img src="/Images/icon/share.png" style="top:2px;margin-left:5px;position: relative;" title="附文件" /><%end if%> <%if tjflag=1 then%><img src="../Images/icon/hot_1.gif" style="top:1px;margin-left:5px;position: relative;" title="火爆" /><%end if%> <%if jbt<>0 then%><img src="../Images/icon/J<%=jbt%>.png" style="top:-1px;margin-left:5px;position: relative;" title="精华+<%=jbt%>" /><%end if%>  <%if DateDiff("d",tim,Now())=0 then%><img src="/Images/icon/ico_new2.gif" style="top:0px;margin-left:5px;position: relative;" title="最新" /><%end if%></td>
	
	
	<%IF TT="Myself" THEN%>
	
	<td width="30" align="center" valign="middle" style="font-size:14px;"><a href="News.ok.asp?ID=<%=n_id%>" target="_blank"><img src="../Images/Edit.png" width="19" height="19" /></a></td>
	<td width="30" align="center" valign="middle" style="font-size:14px;"><a href="javascript:;" onClick="CheckBotton('Del',<%=n_id%>,<%=Uid%>)" ><img src="../Images/Del.png" width="19" height="19" /></a></td>
	<%ELSE%>	
	
    <td width="30" align="center" valign="middle" style="font-size:14px;">

	  <%if GetAllMoneyMess2D(Cookies0,Uid,Request.serverVariables("REMOTE_ADDR"),3,n_id)=0 then%>
	<label id="Ding<%=n_id%>"><a href="javascript:;" onClick="CheckBotton('Ding',<%=n_id%>,<%=Uid%>)"><img src="../Images/Ding.png" width="19" height="19" /></a></label>
	  <%else%>
	  <img src="../Images/Ding0.png" width="19" height="19" />
	  <%end if%>
	</td>
	<%END IF%>
	
  </tr>
</table>
</td>
  </tr>
<%Rs.Movenext
N=N+1
Next
%>

  <tr>
    <td id="UserDHLinkC"><% Call ShowPage(m_Parameter)%></td>
  </tr>
  
<%
else
response.write "<tr><td align='center' valign='middle' height='100'><label style='color:#8297A7;font-size:12px;'>暂无信息!</label></td></tr>"
end if
set Rs=nothing
%>
</table>




</div>
</body>
</html>
<%
Call CloseRs()
Call CloseDB()
%>